Retrieve BU single sign-on URLs
Retrieve a single sign-on URL for the specified backup unit.
get
Authorizations
AuthorizationstringRequired
You will need to base64 encode the string containing your credentials.
Note:
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication- Basic Authentication is supported only when 2-Factor Authentication is not configured.
- Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
- Token deletion is only possible using the Token Manager.
Path parameters
backupunitIdstringRequired
The unique ID of the backup unit.
Query parameters
prettybooleanOptionalDefault:
Controls whether the response is pretty-printed (with indentations and new lines).
trueHeader parameters
X-Contract-Numberinteger · int32Optional
Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
Responses
200
Successful operation
application/json
default
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).
application/json
get/backupunits/{backupunitId}/ssourl
GET /cloudapi/v6/backupunits/{backupunitId}/ssourl HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"ssoUrl": "https://<hostname>/?jwt=eyJ0eXAiO...W47AN5-_x7E"
}Last updated
Was this helpful?